<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: News Scroller Panel
| Filename: news_scroller_panel.php
| Author: Ankur Thakur
| Site: http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."news_scroller_panel/sagscroller.css' />");
add_to_head("<script src='".INFUSIONS."news_scroller_panel/sagscroller.js' type='text/javascript'>\n\n
/***********************************************
* SAG Content Scroller-  Dynamic Drive DHTML code library (www.dynamicdrive.com)
* Visit http://www.dynamicDrive.com for hundreds of DHTML scripts
* This notice must stay intact for legal use
***********************************************/
\n\n</script>");
add_to_head("<style type='text/css'>

div#mysagscroller{
width: auto;  /*width of scroller*/
height:200px;
margin: 10px auto;
}

div#mysagscroller ul li{
background:transparent;
color:#000;
padding:10px;
border-bottom:2px solid #666; /*bottom spacing between each LI*/
border-radius: 8px; /*css3 round corners*/
-moz-border-radius: 8px; /*css3 round corners*/
-webkit-border-radius: 8px; /*css3 round corners*/
}

.news_title {
font-size: 16px;
color: #0000ff;
font-weight: bold;
font-family: Arial;
letter-spacing: 1px;
}
.news_text {
font-size: 12px;
color: #000;
font-weight: normal;
font-family: Arial;
}
</style>

<script type='text/javascript'>

var sagscroller_constants={
	navpanel: {height:'16px', downarrow:'".INFUSIONS."news_scroller_panel/images/down.gif', opacity:0.6, title:'Go to Next Content', background:'black'},
	loadingimg: {src:'images/ajaxloading.gif', dimensions:[100,15]}
}

var sagscroller1=new sagscroller({
	id:'mysagscroller',
	mode: 'auto',
	pause: 5000,
	animatespeed: 1000	//<--no comma following last option
})

</script>");

// Querying the News from Database
$result = dbquery("SELECT tn.news_id, tn.news_subject, tn.news_image_t2, tn.news_news, tn.news_breaks, tnc.news_cat_id, tnc.news_cat_image FROM ".DB_NEWS." tn INNER JOIN ".DB_NEWS_CATS." tnc ON tn.news_cat=tnc.news_cat_id WHERE news_draft='0' ORDER BY news_datestamp DESC LIMIT 0,10");

if (dbrows($result)) {

echo "<div id='mysagscroller' class='sagscroller tbl1'>
	<ul>";
	
	$news_icon = "<img src='".INFUSIONS."news_scroller_panel/images/newspaper.png' alt='' />";	
	
	while ($data = dbarray($result))
	{
		if ($data['news_image_t2']) {
			$news_thumb = "<a href='".BASEDIR."news.php?readmore=".$data['news_id']."'><img src='".IMAGES_N."thumbs/".$data['news_image_t2']."' alt='".$data['news_subject']."' border='0' style='vertical-align: left;' /></a>";		}
		else {
			$news_thumb = "<a href='".BASEDIR."news.php?readmore=".$data['news_id']."'><img src='".IMAGES_NC.$data['news_cat_image']."' alt='".$data['news_subject']."' border='0' style='vertical-align: left;' /></a>";
			}
		
		echo "<li>";
		
		$news_news = $data['news_breaks'] == "y" ? nl2br(stripslashes($data['news_news'])) : stripslashes($data['news_news']);
		
		echo "<div style='width: auto; height: 200px; display: block;'>\n";
		
		echo "<div style='width: auto; position: relative; height: auto; float: right;'>\n".$news_thumb."\n</div>\n";
		
		echo "<span class='news_title'>".$news_icon."&nbsp;<a href='".BASEDIR."news.php?readmore=".$data['news_id']."'>".$data['news_subject']."</a></span>";
		echo "<br /><br /><span class='news_text'>".$news_news."</span>";
		
		echo "</div>";
		
		echo "</li>";
	}
	
	echo "</ul>
</div>\n";

}

?>